
QGIS Application - Bug report #1104

Mapfile export PostGIS layers

2008-05-23 02:07 PM - str238 -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category:

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11164

Description

The [[PostGIS]] layer parameter CONNECTION is wrongly written into the mapfile. There are used only the single quotes and it causes a

crash when loading mapfile by mapserver.

Example:

CONNECTION 'host=localhost user='postgres' password=postgres dbname='voda_v_krajine_

Associated revisions

Revision b523c120 - 2008-12-13 02:19 PM - Jürgen Fischer

mapserver export fix:

- use double quotation marks for postgres layers (fixes #1104)

- export original instead of localized unit names

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9782 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 0360d757 - 2008-12-13 02:19 PM - Jürgen Fischer

mapserver export fix:

- use double quotation marks for postgres layers (fixes #1104)

- export original instead of localized unit names

git-svn-id: http://svn.osgeo.org/qgis/trunk@9782 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-10-13 02:51 AM - Paolo Cavallini

Is this still valid after 5 months?

#2 - 2008-10-13 03:33 AM - str238 -

Replying to [comment:2 pcav]:

Is this still valid after 5 months?
http://svn.osgeo.org/qgis/trunk/qgis@9782
http://svn.osgeo.org/qgis/trunk@9782


I tried the 0.10.0 version and there are no quotes used for the db_name anymore. It should be ok by now (Not tested with the latest version of mapserver).

#3 - 2008-12-13 05:19 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:0360d757 (SVN r9783)

#4 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
